{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block title %}Account {{ parent() }}{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb_back_link = path('app_dashboard') %}
    {% set breadcrumb_back_link_title = 'Reavant Dashboard' %}
    {% embed 'dashboard/_component/breadcrumb.html.twig' with {'breadcrumb_title': 'Account' } %}{% endembed %}
{% endblock %}

{% block content %}
    {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}

    <div class="pb-4">
        <ul class="nav-border nav nav-pills mb-0" id="pills-tab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="account_general_tab" data-toggle="pill"
                   href="#account_general">General</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="account_security_tab" data-toggle="pill" href="#account_security">Security</a>
            </li>
        </ul>
    </div><!--end card-body-->
    <div class="row">
        <div class="col-12">
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="account_general" role="tabpanel"
                     aria-labelledby="account_general_tab">
                    <div class="row">
                        <div class="col-md-12 col-xl-7">
                            <div class="card">
                                <div class="card-body">
                                    <h5 class="bg-soft-primary py-2 px-2 rounded text-uppercase">Basics</h5>

                                    <div class="row mx-0 py-4 border-bottom">
                                        <div class="col-md-6 pl-2">
                                            Name
                                        </div>
                                        <div class="col-md-6 d-flex justify-content-end">
                                            {{ customer.fullName }}
                                            <a class="ml-3 text-primary" href="#" data-toggle="modal"
                                               data-target="#changeNameModal">Edit</a>
                                        </div>
                                    </div>

                                    <div class="row mx-0 py-4">
                                        <div class="col-md-6 pl-2">
                                            Email
                                        </div>
                                        <div class="col-md-6 d-flex justify-content-end">
                                            {{ customer.emailAddress }}
                                            <a class="ml-3 text-primary" href="#" data-toggle="modal"
                                               data-target="#changeEmailModal">Edit</a>
                                        </div>
                                    </div>

                                    <h5 class="bg-soft-primary py-2 px-2 rounded text-uppercase">Plan</h5>


                                    <div class="row mx-0 py-4 border-bottom">
                                        <div class="col-md-8 pl-2">
                                            <div class="media">
                                                <img class="align-self-center mr-3"
                                                     src="{{ asset('assets/reavant/images/logo.png') }}" alt=""
                                                     height="30"/>
                                                <div class="media-body">
                                                    {% if isCustomerSubscribed %}
                                                        <h5 class="font-weight-light mb-0">{{ project_name }} Basic</h5>
                                                        {% if trial is not null and trial.status == 'ACTIVE' %}
                                                            <small>You still have the remaining days in your trial for
                                                                free, and you won’t be
                                                                charged
                                                                until {{ trial.endAt | date('F d, Y') }} after your free
                                                                trial ends.</small>
                                                        {% else %}
                                                            <small>Next billing on: Feb 25, 2020</small>
                                                        {% endif %}
                                                    {% elseif isCustomerOnTrialPeriod %}
                                                        <h5 class="font-weight-light mb-0">{{ project_name }} Trial</h5>
                                                        <small>Your trial will end
                                                            on {{ trial.endDate | date('F d, Y') }}. To keep
                                                            using {{ project_name }},
                                                            <a href="{{ path('home_buy') }}">add billing
                                                                info</a>.</small>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 d-flex justify-content-end align-self-center">
                                            {% if isCustomerSubscribed %}
                                                <a class="btn btn-danger btn-sm px-5" href="#">Cancel</a>
                                            {% elseif isCustomerOnTrialPeriod %}
                                                <a class="btn btn-primary btn-sm px-5" href="{{ path('home_buy') }}">Upgrade</a>
                                            {% endif %}
                                        </div>
                                    </div>

                                </div><!--end card-body-->
                            </div> <!--end card-->
                        </div><!--end col-->
                    </div><!--end row-->
                </div>
                <div class="tab-pane fade" id="account_security" role="tabpanel" aria-labelledby="account_security_tab">
                    <div class="row">
                        <div class="col-md-12 col-xl-7">
                            <div class="card">
                                <div class="card-body">
                                    <h5 class="bg-soft-primary py-2 px-2 rounded text-uppercase mb-3">Change
                                        password</h5>

                                    <div class="pl-0 col-md-9">
                                        <small class="mt-1">Use the form below to change the password for your Reavant
                                            account</small>

                                        <div class="mt-4">
                                            {{ form_start(changePasswordForm) }}
                                            {{ form_rest(changePasswordForm) }}

                                            <button class="btn btn-primary mt-3" type="submit">Save changes</button>
                                            {{ form_end(changePasswordForm) }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!--end row-->
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal Change Name-->
    <div class="modal fade" id="changeNameModal" tabindex="-1" role="dialog" aria-labelledby="changeNameModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="changeNameModalLabel">Change your name</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(changeFullNameForm) }}
                <div class="modal-body">
                    <div class="form-group col-md-12">
                        {{ form_widget(changeFullNameForm.firstName) }}
                    </div>
                    <div class="form-group col-md-12">
                        {{ form_widget(changeFullNameForm.lastName) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change name</button>
                </div>
                {{ form_end(changeFullNameForm) }}
            </div>
        </div>
    </div>

    <!-- Modal Change Email-->
    <div class="modal fade" id="changeEmailModal" tabindex="-1" role="dialog" aria-labelledby="changeEmailModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="changeEmailModalLabel">Change your email</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                {{ form_start(changeEmailAddressForm) }}
                <div class="modal-body">
                    <div class="form-group col-md-12">
                        {{ form_widget(changeEmailAddressForm.emailAddress) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change email</button>
                </div>
                {{ form_end(changeEmailAddressForm) }}
            </div>
        </div>
    </div>
{% endblock %}